Package: groovy.console.ui

## [Groovy] Class ObjectBrowser

- groovy.console.ui.ObjectBrowser

-     class ObjectBrowser
      extends Object

  A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with: `ObjectBrowser.inspect(myObject)` .

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `ObjectBrowser.1` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `arrayTable`
    `Object` | `collectionTable`
    `Object` | `fieldTable`
    `Object` | `frame`
    `Object` | `inspector`
    `Object` | `mapTable`
    `Object` | `methodTable`
    `Object` | `path`
    `Object` | `swing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectBrowser ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addSorter(Object table)`
    `` | `void` | `closeFrameIfAltDoubleClick(MouseEvent e)`
    `` | `static void` | `inspect(Object objectUnderInspection, String path)`
    `` | `static void` | `main(Object args)`
    `` | `Object` | `makeClickAdapter(Object table, int valueCol, Closure pathClosure)`
    `` | `void` | `run()`
    `` | `void` | `showAbout(EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object arrayTable

    - #### Object collectionTable

    - #### Object fieldTable

    - #### Object frame

    - #### Object inspector

    - #### Object mapTable

    - #### Object methodTable

    - #### Object path

    - #### Object swing

  - ### Constructor Detail

    - #### ObjectBrowser()

  - ### Method Detail

    - #### void addSorter(Object table)

    - #### void closeFrameIfAltDoubleClick(MouseEvent e)

    - #### static void inspect(Object objectUnderInspection, String path)

    - #### static void main(Object args)

    - #### Object makeClickAdapter(Object table, int valueCol, Closure pathClosure)

    - #### void run()

    - #### void showAbout(EventObject evt)